*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
  }

body{
    overflow-x: hidden;
  }

/* Header */
header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    padding: 20px 8%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    background: rgba(0,0,0,0.3);
    backdrop-filter: blur(5px);
}

.logo{
    color: #fff;
    font-size: 28px;
    font-weight: bold;
}

nav ul{
    display: flex;
    list-style: none;
}

nav ul li{
    margin-left: 25px;
}

nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
}

nav ul li a:hover{
    color: #910683;
}

/* Mobile Menu */
.menu-toggle{
    display: none;
    color: #fff;
    font-size: 32px;
    cursor: pointer;
}

/* Hero Section */
.hero{
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
}

/* Slider */
.slides{
    width: 100%;
    height: 100%;
    position: absolute;
}

.slide{
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide.active{
    opacity: 1;
}

.slide img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Overlay */
.hero::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.45);
    z-index: 1;
}

/* Hero Content */
.hero-content{
    position: relative;
    z-index: 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    padding: 20px;
}

.hero-content h1{
    font-size: 60px;
    margin-bottom: 20px;
}

.hero-content p{
    font-size: 22px;
    margin-bottom: 25px;
}

.hero-content button{
    padding: 14px 30px;
    border: none;
    background: #3b0249;
    color: white;
    font-size: 18px;
    border-radius: 30px;
    cursor: pointer;
    transition: 0.3s;
}

.hero-content button:hover{
    background: #450246;
}

/* Responsive */
@media(max-width: 768px){

    nav{
        position: absolute;
        top: 80px;
        right: -100%;
        width: 250px;
        background: rgba(0,0,0,0.9);
        transition: 0.4s;
        padding: 20px;
    }

    nav.active{
        right: 0;
    }

    nav ul{
        flex-direction: column;
    }

    nav ul li{
        margin: 15px 0;
    }

    .menu-toggle{
        display: block;
    }

    .hero-content h1{
        font-size: 38px;
    }

    .hero-content p{
        font-size: 18px;
    }
}
/*ส่วนย่อย*/
:root {
    --purple: #690f7a;
    --black: #333333;
    --white: #ffffff;
}
 /* popular menu*/

 .popular-menu{
    background-color:var(--white);
    background-repeat: no-repeat;
    background-size: cover;
    height: 800;
    color: var(--black);
    overflow: hidden;

    .popular-menu-title{
        margin: 3rem 0;
        text-align: center;

        h2{
            font-size: clamp(2rem,10vw,4rem);
            text-transform: uppercase;
        }
        p{
            font-size: clamp(1rem,10vw,2rem);
        }
    }

    .popular-menu-grid{
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
       gap: 3rem;
        .popular-menu-item{
            text-align: center;
            h3{
                font-size: clamp(1rem,10vw,2rem);
                margin: 1rem 0;
            }
            p{
                font-size: clamp(1rem,10vw,1.25rem);
            }
        }
        .popular-menu-title1{
            margin: 3rem 0;
            text-align: left;
        p{
                font-size: clamp(1rem,10vw,1.25rem);
            }
        }
    }
    @media  and (max-width:768px) {
        height: auto;
        padding: 3rem 0;
    }
   }

     /*layout*/
     .maincontent{
        background-color:var(--white);
     }

     .maincontent-con{
        display: flex;
     }

     .maincontent-info{
        width: 100%;
        padding: 2rem;
        h3{
            font-size: 2rem;
        }
        p{
            margin: 1rem 0;
        }
        .maincontent-btn{
            background-color: var(--purple);
            color: var(--white);
            padding: 1rem;
            border-radius: 30px;
            text-decoration: none;
        }
     }

     .maincontent-img{
        width: 100%;
        padding: 2rem;
        margin-left: auto;
     }
/*grid*/

.active-menu{
    background-color: var(--white)
    background-repeat: no-repeat;
    background-size: cover;
    height: 800;
    color: var(--black);
    overflow: hidden;
   
    .active-menu-title{
        margin: 3rem 0;
        text-align: center;

        h2{
            font-size: clamp(1rem,10vw,2rem);
            text-transform: uppercase;
        }
        p{
            font-size: clamp(1rem,10vw,2rem);
        }
    }

    .active-menu-grid{
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(350px,1fr));
        gap: 2rem;
            .active-menu-item img{
                display: block;
                width: 100%;
                border-radius: 10px;
                box-shadow: 0 0 20px rgba(0,0,0,0.3);
            }
            .active-menu-item{
            text-align: left;
            h3{
                font-size: clamp(1rem,10vw,2rem);
                margin: 1rem 0;
            }
            p{
                font-size: clamp(1rem,10vw,1rem);
                margin: 1rem 0;
            }
            
          .content-btn{
            background-color: var(--purple);
            color: var(--white);
            padding: 0.5rem;
            border-radius: 30px;
            text-decoration: none;
            }  
        }
    }
    @media  and (max-width:768px) {
        height: auto;
        padding: 3rem 0;
    }
    }

      /*footer*/

 footer{
        color: #fff;
        background: #400246;
        padding-top: 30px;
    }
    .footer-container{
        width: 1140px;
        margin: auto;
        display: flex;
        justify-content: center;
    }
    .footer-content{
        width: 33.3%;
    }
    h3{
        font-size: 28px;
        margin-bottom: 15px;
        text-align: center;
    }
    .footer-content p{
        width:400px;
        margin: auto;
        padding: 7px;
      }
    .footer-content ul{
        text-align: center;
    }
    .list{
        padding: 0;
    }
    .list li{
        width: auto;
        text-align: center;
        list-style-type:none;
        padding: 7px;
        position: relative;
    }
    .list li::before{
        content: '';
        position: absolute;
        transform: translate(-50%,-50%);
        left: 50%;
        top: 100%;
        width: 0;
        height: 2px;
        background: #ffffff;
        transition-duration: .5s;
    }
    .list li:hover::before{
        width: 100px;
    }
    .social-icons{
        text-align: center;
        padding: 0;
    }
    .social-icons li{
        display: inline-block;
        text-align: center;
        padding: 5px;
    }
    .social-icons i{
        color: white;
        font-size: 25px;
    }
    a{
        text-decoration: none;
        color: #fff;
    }
    a:hover{
        color: #900b9f;
    }
    .social-icons i:hover{
        color: #900b9f;
    }
    .bottom-bar{
        background: #400246;
        text-align: center;
        padding: 10px 0;
        margin-top: 50px;
    }
    .bottom-bar p{
        color: #fcfafa;
        margin: 0;
        font-size: 16px;
        padding: 7px;
    }

    /*popup-box*/

    .popup-box {
  display: none; /* ซ่อนไว้ก่อน */
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5); /* พื้นหลังสีดำโปร่งแสง */
}
.popup-content {
  background-color: #fff;
  margin: 15% auto;
  padding: 20px;
  width: 50%;
}

